Lists all models
curl --request GET \
--url https://api.squared.ai/api/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.squared.ai/api/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.squared.ai/api/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"name": "<string>",
"description": "<string>",
"query": "<string>",
"query_type": "<string>",
"configuration": {},
"primary_key": "<string>",
"connector_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
}
}Models
Get Models
GET
/
api
/
v1
/
models
Lists all models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
query type
Available options:
data, ai_ml, raw_sql, dbt soql, table_selector Was this page helpful?
⌘I